# Fetching a list of External Payments

The external payments currently visible to the user that is logged-in.


This endpoint returns structured External Payment objects.
As with all Kantata OX API endpoints, the returned data will be referenced in sorted order in the results array
and will be indexed by ID in the external_payments top-level JSON key.
Please see our Response Format section for more information.

Endpoint: GET /external_payments
Version: 1.0.0

## Query parameters:

  - `created_after` (string)
    Filter for records created after a specified datetime. The datetime must be in ISO 8601 format.

  - `created_before` (string)
    Filter for records created before a specified datetime. The datetime must be in ISO 8601 format.

  - `include` (string)
    Any of the below associations can be included in your request by providing the include param, e.g. include=association1,association2.
- invoice (Invoice) - The invoice (if any) for which the external payment was created.
- user (User) - The user who created the external payment.
- workspace (Workspace) - The project in which the external payment was created.

  - `invoice_id` (integer)
    Limit returned external payments to those paying the invoice with the specified ID.

  - `only` (string)
    Allows you to request one or more resources directly by ID. Multiple IDs can be supplied
in a comma separated list, like GET /api/v1/workspaces.json?only=5,6,7.

  - `order` (string)
    Supply order with the name of a valid sort field for the endpoint and a direction.

Valid values: created_at:asc, created_at:desc, id:asc, id:desc, updated_at:asc, and updated_at:desc.

  - `page` (integer)

  - `per_page` (integer)

  - `updated_after` (string)
    Filter for records updated after a specified datetime. The datetime must be in ISO 8601 format.

  - `updated_before` (string)
    Filter for records updated before a specified datetime. The datetime must be in ISO 8601 format.

  - `user_id` (integer)
    Limit returned external payments to those created by the user with the specified ID.

  - `workspace_id` (integer)
    Limit returned external payments to those logged within the specified workspace_id.

## Response 200 fields (application/json):

  - `count` (integer)

  - `meta` (object)

  - `meta.count` (integer)

  - `meta.page_count` (integer)

  - `meta.page_number` (integer)

  - `meta.page_size` (integer)

  - `results` (array)

  - `results.key` (string)

  - `results.id` (string)

  - `external_payments` (object)

  - `users` (object)

  - `workspaces` (object)

  - `invoices` (object)

## Response 400 fields (application/json):

  - `errors` (array)

  - `errors.type` (string)

  - `errors.message` (string)


